
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was airtsp-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/airtsp" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the AirTSP package. It defines the following variables:
#  AIRTSP_VERSION      - version of AirTSP
#  AIRTSP_BINARY_DIRS  - binary directories for AirTSP
#  AIRTSP_INCLUDE_DIRS - include directories for AirTSP
#  AIRTSP_LIBRARY_DIRS - library directories for AirTSP (normally not used!)
#  AIRTSP_LIBRARIES    - libraries to link against
#  AIRTSP_EXECUTABLES  - the AirTSP binaries/executables

# Tell the user project where to find AirTSP headers and libraries
set (AIRTSP_VERSION "1.01.14")
set (AIRTSP_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (AIRTSP_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (AIRTSP_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")

# Library dependencies for AirTSP (contains definitions for the AirTSP
# IMPORTED targets)
include ("${CMAKE_CURRENT_LIST_DIR}/airtsp-library-depends.cmake")

# These are the AirTSP IMPORTED targets, created by
# airtsp-library-depends.cmake
set (AIRTSP_LIBRARIES airtsplib)
set (AIRTSP_EXECUTABLES airtsp)
